InvalidParameterException (Java Platform SE 8 )
Keywords: java.security.InvalidParameterException class
Date: 2020-03-26

compact1, compact2, compact3
java.security

## Class InvalidParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.security.InvalidParameterException

- All Implemented Interfaces:
    Serializable

      public class InvalidParameterException
      extends IllegalArgumentException

  This exception, designed for use by the JCA/JCE engine classes, is thrown when an invalid parameter is passed to a method.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidParameterException()` Constructs an InvalidParameterException with no detail message.
    `InvalidParameterException(String msg)` Constructs an InvalidParameterException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidParameterException

          public InvalidParameterException()

      Constructs an InvalidParameterException with no detail message. A detail message is a String that describes this particular exception.

    - #### InvalidParameterException

          public InvalidParameterException(String msg)

      Constructs an InvalidParameterException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.